CVE-2016-7392

NameCVE-2016-7392
DescriptionHeap-based buffer overflow in the pstoedit_suffix_table_init function in output-pstoedit.c in AutoTrace 0.31.1 allows remote attackers to cause a denial of service (out-of-bounds write) via a crafted bmp image file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-621-1
NVD severitymedium (attack range: remote)
Debian Bugs837599

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
autotracesource(unstable)0.31.1-17medium837599
autotracesourcewheezy0.31.1-16+deb7u1mediumDLA-621-1

Notes

https://blogs.gentoo.org/ago/2016/09/10/autotrace-heap-based-buffer-overflow-in-pstoedit_suffix_table_init-output-pstoedit-c/
Also reproducible with valgrind

Search for package or bug name: Reporting problems